Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class SeriesPattern

    java.lang.Object
      jet.report.xls.SeriesPattern

    public class SeriesPattern

extends java.lang.Object

Series' pattern info.

Field Summary
`static short` | `BUBBLES3D` The bubble chart is 3D.
`static short` | `SHADOW` Has shadow
`static short` | `SHOWBUBBLESIZE` Shows the bubble size, only used for the bubble chart.
`static short` | `SHOWLABEL` Shows the label as the data label.
`static short` | `SHOWLABPER` Shows the label and percent as the data label, only used for the pie chart type.
`static short` | `SHOWNONE` Shows nothing about the data label.
`static short` | `SHOWPERCENT` Shows the percent as the data label, only used for the pie chart type.
`static short` | `SHOWVALUE` Shows the value as the data label.
`static short` | `SMOOTHEDLINE` The line in the line chart is smoothed.

Constructor Summary
`SeriesPattern()` Creates a `SeriesPattern` object with default parameters.
`SeriesPattern(LineFormatInfo seriesBorder, AreaFormatInfo seriesArea, MarkerFormatInfo markerInfo, short attachedLabel, short serFormat)` Creates a `SeriesPattern` object with these parameters:
`SeriesPattern(short pointNum, LineFormatInfo seriesBorder, AreaFormatInfo seriesArea, MarkerFormatInfo markerInfo, short attachedLabel, short serFormat)` Creates a `SeriesPattern` object with these parameters:

Method Summary
`short` | `getLabelType()` Gets the series' attached label type.
`MarkerFormatInfo` | `getMarkerInfo()` Gets the series' marker format if the chart type is scatter or line.
`short` | `getSerFormat()` Gets the series' format.
`AreaFormatInfo` | `getSeriesArea()` Gets the series' area format.
`LineFormatInfo` | `getSeriesBorder()` Gets the series' border format.
`void` | `setLabelType(short type)` Sets the series' attached label type.
`void` | `setMarkerInfo(MarkerFormatInfo markerInfo)` Sets the series' marker format if the chart type is scatter or line.
`void` | `setSerFormat(short serFormat)` Sets the series' format.
`void` | `setSeriesArea(AreaFormatInfo seriesArea)` Sets the series' area format.
`void` | `setSeriesBorder(LineFormatInfo seriesBorder)` Sets the series' border format.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHOWNONE

    public static final short SHOWNONE

  Shows nothing about the data label.

  See Also:
    Constant Field Values

### SHOWVALUE

    public static final short SHOWVALUE

  Shows the value as the data label.

  See Also:
    Constant Field Values

### SHOWPERCENT

    public static final short SHOWPERCENT

  Shows the percent as the data label, only used for the pie chart type.

  See Also:
    Constant Field Values

### SHOWLABPER

    public static final short SHOWLABPER

  Shows the label and percent as the data label, only used for the pie chart type.

  See Also:
    Constant Field Values

### SHOWLABEL

    public static final short SHOWLABEL

  Shows the label as the data label.

  See Also:
    Constant Field Values

### SHOWBUBBLESIZE

    public static final short SHOWBUBBLESIZE

  Shows the bubble size, only used for the bubble chart.

  See Also:
    Constant Field Values

### SMOOTHEDLINE

    public static final short SMOOTHEDLINE

  The line in the line chart is smoothed.

  See Also:
    Constant Field Values

### BUBBLES3D

    public static final short BUBBLES3D

  The bubble chart is 3D.

  See Also:
    Constant Field Values

### SHADOW

    public static final short SHADOW

  Has shadow

  See Also:
    Constant Field Values

Constructor Detail

### SeriesPattern

    public SeriesPattern()

  Creates a `SeriesPattern` object with default parameters.

### SeriesPattern

    public SeriesPattern(short pointNum,
                         LineFormatInfo seriesBorder,
                         AreaFormatInfo seriesArea,
                         MarkerFormatInfo markerInfo,
                         short attachedLabel,
                         short serFormat)

  Creates a `SeriesPattern` object with these parameters:

  Parameters:
    `pointNum` - the point number in the series, -1 for entire series
    `seriesBorder` - series' border color and style
    `seriesArea` - series' area color
    `markerInfo` - marker type of scatter or line chart.
    `attachedLabel` - the attached label type SHOWNONE, SHOWVALUE, SHOWPERCENT(for pie chart), SHOWLABPER(for pie chart), SHOWLABEL, SHOWBUBBLESIZE(for bubble chart) or the combined value of them.
    `serFormat` - series format, can be SHOWNONE, SMOOTHEDLINE, BUBBLES3D, SHADOW or the combined value of them

### SeriesPattern

    public SeriesPattern(LineFormatInfo seriesBorder,
                         AreaFormatInfo seriesArea,
                         MarkerFormatInfo markerInfo,
                         short attachedLabel,
                         short serFormat)

  Creates a `SeriesPattern` object with these parameters:

  Parameters:
    `seriesBorder` - series' border color and style
    `seriesArea` - Series' area color
    `markerInfo` - marker type of scatter or line chart
    `attachedLabel` - the attached label type, SHOWNONE, SHOWVALUE, SHOWPERCENT(for pie chart), SHOWLABPER(for pie chart), SHOWLABEL, SHOWBUBBLESIZE(for bubble chart) or the combined value of them.
    `serFormat` - series format, can be SHOWNONE, SMOOTHEDLINE, BUBBLES3D, SHADOW or the combined value of them

Method Detail

### setSeriesBorder

    public void setSeriesBorder(LineFormatInfo seriesBorder)

  Sets the series' border format.

  Parameters:
    `seriesBorder` - series' border format

### getSeriesBorder

    public LineFormatInfo getSeriesBorder()

  Gets the series' border format.

  Returns:
    series' border format

### setSeriesArea

    public void setSeriesArea(AreaFormatInfo seriesArea)

  Sets the series' area format.

  Parameters:
    `seriesArea` - series' area format

### getSeriesArea

    public AreaFormatInfo getSeriesArea()

  Gets the series' area format.

  Returns:
    series' area format

### setMarkerInfo

    public void setMarkerInfo(MarkerFormatInfo markerInfo)

  Sets the series' marker format if the chart type is scatter or line.

  Parameters:
    `markerInfo` - series' marker format

### getMarkerInfo

    public MarkerFormatInfo getMarkerInfo()

  Gets the series' marker format if the chart type is scatter or line.

  Returns:
    series' marker format

### setLabelType

    public void setLabelType(short type)

  Sets the series' attached label type.

  Parameters:
    `type` - the series' attached label type. SHOWNONE,SHOWVALUE,SHOWPERCENT( used for pie chart only),SHOWLABPER ( used for pie chart only), SHOWLABEL,SHOWBUBBLESIZE ( used for bubble chart).
  See Also:
    `SHOWNONE`, `SHOWVALUE`, `SHOWPERCENT`, `SHOWLABPER`, `SHOWLABEL`, `SHOWBUBBLESIZE`

### getLabelType

    public short getLabelType()

  Gets the series' attached label type.

  Returns:
    the series' attached label type
  See Also:
    `SHOWNONE`, `SHOWVALUE`, `SHOWPERCENT`, `SHOWLABPER`, `SHOWLABEL`, `SHOWBUBBLESIZE`

### setSerFormat

    public void setSerFormat(short serFormat)

  Sets the series' format.

  Parameters:
    `serFormat` - the series' format.MOOTHEDLINE( used for line or scatter chart only), BUBBLES3D ( used for bubble chart only) or SHADOW
  See Also:
    `SMOOTHEDLINE`, `BUBBLES3D`, `SHADOW`

### getSerFormat

    public short getSerFormat()

  Gets the series' format.

  Returns:
    the series' format
  See Also:
    `SMOOTHEDLINE`, `BUBBLES3D`, `SHADOW`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD